POST Bulk create/update users
Create or update up to 100 users in a single request
Create or update up to 100 users in a single request
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/users/bulk" \ -H "Content-Type: application/json" \ -d '{ "operation": "create", "users": [ { "email": "user@example.com", "first_name": "Example first name", "last_name": "Example last name", "role_id": 1, "display_name": "Example display name", "manager_id": "{manager_id}", "timezone": "Example timezone", "custom_fields": {} } ] }'{ "data": { "results": [ { "success": true, "index": 0, "user": { "id": "{id}", "email": "user@example.com", "first_name": "string", "last_name": "string", "display_name": "string", "avatar_url": "string", "status": "active", "role": { "id": 0, "name": "string", "description": "string" }, "manager_id": "{manager_id}", "timezone": "string", "groups": [ { "id": "{id}", "name": "string", "description": "string" } ], "custom_fields": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "last_sign_in_at": "2019-08-24T14:15:22Z" }, "error": { "code": "string", "message": "string", "field": "string" } } ], "summary": { "total": 0, "successful": 0, "failed": 0 } }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}